
//--------------------------------------------------------------------
//     此代码由T4模板自动生成  byzhouhang 20210918
//	   生成时间 2022-06-29 14:04:36 
//     对此文件的更改可能会导致不正确的行为，并且如果重新生成代码，这些更改将会丢失。
using IRaCIS.Core.Domain.Share;
namespace IRaCIS.Core.Domain.Models
{
    ///<summary>
    ///阅片医学审核项目问题
    ///</summary>
    [Table("ReadingMedicineTrialQuestion")]
    public class ReadingMedicineTrialQuestion : BaseFullAuditEntity
    {

        #region 导航属性
        [JsonIgnore]
        [ForeignKey("ParentId")]
        public ReadingMedicineTrialQuestion ParentQuestion { get; set; }
        #endregion

        /// <summary>
        /// 类型
        /// </summary>	
        public string Type { get; set; } = string.Empty;

        /// <summary>
        /// 父问题触发值
        /// </summary>
        public string ParentTriggerValue { get; set; } = string.Empty;

        /// <summary>
        /// 问题名称
        /// </summary>
        public string QuestionName { get; set; } = string.Empty;

        /// <summary>
        /// 语言类型
        /// </summary>
        public LanguageType LanguageType { get; set; } = LanguageType.Chinese;



        /// <summary>
        /// 类型值
        /// </summary>
        public string TypeValue { get; set; } = string.Empty;


        /// <summary>
        /// 项目ID
        /// </summary>
        public Guid TrialId { get; set; }

        /// <summary>
        /// 是否启用
        /// </summary>
        public bool IsEnable { get; set; }

        /// <summary>
        /// 是否必须
        /// </summary>
        public bool IsRequired { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int ShowOrder { get; set; }

        /// <summary>
        /// 父问题
        /// </summary>
        public Guid? ParentId { get; set; }

        /// <summary>
        /// 是否确认
        /// </summary>
        public bool IsConfirm { get; set; }

        /// <summary>
        /// 任务类型
        /// </summary>
        public ReadingCategory ReadingCategory { get; set; }

        /// <summary>
        /// 项目标准
        /// </summary>
        public Guid TrialReadingCriterionId { get; set; }

        public Guid? SystemQuestionId { get; set; }



    }


}
