namespace IRaCIS.Core.Domain.Models
{
    ///<summary>
    /// 项目的临床数据
    ///</summary>
    [Table("ReadingClinicalDataPDF")]
    public class ReadingClinicalDataPDF : BaseAddAuditEntity
    {
        #region 导航属性
        [JsonIgnore]
        [ForeignKey("ReadingClinicalDataId")]
        public ReadingClinicalData ReadingClinicalData { get; set; }
        #endregion

        /// <summary>
        /// 阅片临床数据ID
        /// </summary>
        public Guid ReadingClinicalDataId { get; set; }

        public string Path { get; set; } = string.Empty;


        public string FileName { get; set; } = string.Empty;


        public int Size { get; set; } = 0;

        public string Type { get; set; } = string.Empty;
    }






}
